<?php

namespace Drupal\other\Traits;


/**
 * Provides a 'Light Category trait'.
 */
trait LightCategoryTrait {

   /**
    * {@inheritdoc}
    */
   public static function getViewSelect()
   {
      $selectList = [];
      foreach ( \Drupal::entityTypeManager()->getStorage('view')->loadMultiple() as $key=>$value ) {
         $selectList[$key] = $key;
      }
      return $selectList;
   }
}